<?php if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('GFJETLINEZNOTIFYZ_Pro_WebServices')) {
    class GFJETLINEZNOTIFYZ_Pro_WebServices
    {
        public static function get()
        {
            return apply_filters('gf_jetlinez_notifyz_gateways', array('no' => __('Select a Gateway', 'GF_JETLINEZ_NOTIFYZ')));
        }

        public static function action($settings, $action, $from, $to, $messages)
        {
            $gateway = isset($settings["ws"]) ? $settings["ws"] : '';
            if (empty($gateway) || $gateway == 'no') {
                return __('No Gateway found.', 'GF_JETLINEZ_NOTIFYZ');
            }
            $GATEWAY = strtoupper($gateway);
            $Gateway = 'GFJETLINEZNOTIFYZ_Pro_' . $GATEWAY;
            $messages = str_replace(array("<br>", "<br/>", "<br />", '&nbsp;'), array("\n", "\n", "\n", ''), $messages);
            $messages = strip_tags($messages);
            if (!class_exists($Gateway) && file_exists(GF_JETLINEZ_NOTIFYZ_GATEWAY . strtolower($gateway) . '.php')) {
                require_once(GF_JETLINEZ_NOTIFYZ_GATEWAY . strtolower($gateway) . '.php');
            }
            if (class_exists($Gateway) && method_exists($Gateway, 'process')) {
                $options = get_option("gf_jetlineznotifyz_" . $GATEWAY);
                $result = $Gateway::process($options, $action, $from, $to, $messages);
                return $result;
            }
            return __('No Gateway found.', 'GF_JETLINEZ_NOTIFYZ');
        }
    }
}