<?php
/*
Plugin Name: Jetlinez Notifyz Pro Gv
Description: The most comprehensive notify plugin for Gravity Forms
Plugin URI: https://jetlinez.com
Version: 1.0.0
Author: Sobelz
Author URI: https://sobelz.com
Text Domain: GF_JETLINEZ_NOTIFYZ
Domain Path: /languages/
*/
if (!defined('ABSPATH')) {
    exit;
}
if (!defined('GF_JETLINEZ_NOTIFYZ_DIR')) {
    define('GF_JETLINEZ_NOTIFYZ_DIR', plugin_dir_path(__FILE__));
}
if (!defined('GF_JETLINEZ_NOTIFYZ_URL')) {
    define('GF_JETLINEZ_NOTIFYZ_URL', plugins_url(null, __FILE__));
}
if (!defined('GF_JETLINEZ_NOTIFYZ_GATEWAY')) {
    define('GF_JETLINEZ_NOTIFYZ_GATEWAY', plugin_dir_path(__FILE__) . 'includes/gateways/');
}

add_action( 'admin_init', 'jetlinez_gravityforms_not_exists' );
function jetlinez_gravityforms_not_exists() {
    function jetlinez_gravityforms_notice() {
        $message = sprintf( 'جت لاینز: گرویتی فرم را نصب و فعال کنید.' );
        printf( '<div class="notice notice-error"><p>%s</p></div>', $message );
    }

    if ( !is_plugin_active('gravityforms/gravityforms.php') ) {
        add_action('admin_notices', 'jetlinez_gravityforms_notice');
        return;
    }
}

add_action('plugins_loaded', 'gf_jetlinez_notifyz_load_textdomain');
function gf_jetlinez_notifyz_load_textdomain()
{
    load_plugin_textdomain('GF_JETLINEZ_NOTIFYZ', false, dirname(plugin_basename(__FILE__)) . '/languages');
}

require_once(GF_JETLINEZ_NOTIFYZ_DIR . 'includes/main.php');
add_action('plugins_loaded', array('GFJETLINEZNOTIFYZ_Pro', 'construct'), 10);
register_activation_hook(__FILE__, array('GFJETLINEZNOTIFYZ_Pro', 'active'));
register_deactivation_hook(__FILE__, array('GFJETLINEZNOTIFYZ_Pro', 'deactive'));

function jetlinez_gvDebug($data, $file = 'jetlinez_gv_debug.txt')
{
    $url = plugin_dir_path(__FILE__) . $file;
    $file = @file_get_contents($url);
    if (is_array($data) || is_object($data)) $data = json_encode($data);
    @file_put_contents($url, $file . "\n" . $data);
    return;
}


add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'jetlinez_plugin_action_meta_links', 10, 2 );
function jetlinez_plugin_action_meta_links( $links, $file ) {
    if ( strpos( $file, basename(__FILE__) ) ) {
        $links['support'] = '<a href="https://jetlinez.com" target="_blank"> پشتیبانی </a>';
    }

    return array_reverse($links);
}
